<template>
  <div class="public-bounced" v-if="flag">
    <div class="public-bounced-title">
      <span>{{ displayContent.Name }}</span>
      <i class="el-icon-circle-close" @click="closePopup"></i>
    </div>
    <div class="public-bounced-content">
      <div class="public-bounced-content-left">
        <GasTab :displayContent="displayContent"></GasTab>
        <PublicTable v-if="value === 'gufei'" :requestSolidWasteData="displayContent.StoragePlaceId"></PublicTable>
        <GasECharts v-else></GasECharts>
        <!--        <PublicTable></PublicTable>-->
        <!--        <GasECharts></GasECharts>-->
      </div>
      <div class="public-bounced-content-right">
        <GasVideo></GasVideo>
      </div>
    </div>
  </div>
</template>

<script>

import '@/components/BaseNav/SolidWaste/directive/dir'
import GasTab from '@components/BaseNav/PublicBounced/GasComponents/GasTab'
import PublicTable from '@components/BaseNav/PublicBounced/GasComponents/PublicTable'
import GasECharts from '@components/BaseNav/PublicBounced/GasComponents/GasECharts'
import GasVideo from '@components/BaseNav/PublicBounced/GasComponents/GasVideo'

export default {
  name: 'PublicBounced',
  components: {
    GasTab,
    PublicTable,
    GasECharts,
    GasVideo
  },
  data () {
    return {
      displayContent: [],
      flag: false
    }
  },
  methods: {
    setData (data, value) {
      console.log(data)
      console.log(value)
      this.displayContent = data
      this.flag = true
      this.value = value
      console.log(this.flag)
    },
    // setData (data) {
    //   this.displayContent = data
    //   this.flag = true
    //   // this.value = value
    // },
    closePopup () {
      this.flag = false
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  width: 75%;
  z-index: 999;
  position: absolute;
  bottom: 5%;
  left: 15%;
  background-color: #002432;
  border: 1px #9fc5c8 solid;

  .public-bounced-title {
    border: 1px #a4c0d8 solid;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 0;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: white;
      margin: 0 15px;
      font-size: 22px;
    }
  }

  .public-bounced-content {
    margin: 15px auto;
    display: flex;
    //align-items: center;
    justify-content: space-around;

    .public-bounced-content-left {
      width: 48%;
      height: 100%;
    }

    .public-bounced-content-right {
      width: 48%;
      height: 100%;
    }
  }
}
</style>
